#!/bin/bash
NAME="eclipse-p2-discovery"
VERSION="1.0.0"
TAG="v20100503"
BUILD="R-3.6-201006080911"

echo "Exporting from CVS..."
mkdir $NAME-$VERSION-$TAG
pushd $NAME-$VERSION-$TAG >/dev/null

MAPFILE=$NAME.map
TEMPMAPFILE=temp.map
wget "http://download.eclipse.org/eclipse/downloads/drops/$BUILD/directory.txt" -O $MAPFILE
dos2unix $MAPFILE
egrep 'p2.discovery|ui.discovery' $MAPFILE > $TEMPMAPFILE

gawk 'BEGIN {
	FS=","
}
{
	split($2, version, "=");
	split($4, dirName, "=");
	printf("cvs -d %s%s %s %s %s %s %s\n", ":pserver:anonymous@dev.eclipse.org:", "/cvsroot/rt", "-q export -r", version[2], "-d", dirName[2], dirName[2]) | "/bin/bash";

}' $TEMPMAPFILE

rm $TEMPMAPFILE $MAPFILE
popd >/dev/null

echo "Creating tarball '$NAME-fetched-src-$TAG.tar.xz'..."
tar -cJf $NAME-fetched-src-$TAG.tar.xz $NAME-$VERSION-$TAG